<?php
/**
 * 站点列表
**/
include("../inc/common.php");
$title='站点列表 - 后台管理';
include './head.php';
if($islogin==1){}else exit("<script language='javascript'>window.location.href='./login.php';</script>");
?>
  <nav class="navbar navbar-fixed-top navbar-default">
    <div class="container">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
          <span class="sr-only">导航按钮</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="./">后台管理</a>
      </div><!-- /.navbar-header -->
      <div id="navbar" class="collapse navbar-collapse">
        <ul class="nav navbar-nav navbar-right">
          <li class="">
             <a href="./"><span class="fa fa-home"></span> 后台首页</a>
          </li>
          <li class="">
             <a href="./upimg.php"><span class="fa fa-upload"></span> 上传图片</a>
          </li>
	  <li class="">
             <a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="fa fa-cog"></span> 网站设置<b class="caret"></b></a>
                <ul class="dropdown-menu">
                   <li><a href="./set.php"><span class="fa fa-info-circle"></span> 网站信息</a></li>
	           <li><a href="./user.php"><span class="fa fa-user"></span> 帐号信息</a></li>
                </ul>
          </li>
	  <li class="active">
             <a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="fa fa-globe"></span> 站点管理<b class="caret"></b></a>
                <ul class="dropdown-menu">
                   <li class="active"><a href="./list.php"><span class="fa fa-list-ul"></span> 站点列表</a></li>
	           <li><a href="./add.php"><span class="fa fa-plus"></span> 添加站点</a></li>
                </ul>
          </li>
          <li>
             <a href="./login.php?logout"><span class="fa fa-sign-out"></span> 退出登录</a>
          </li>
        </ul>
      </div><!-- /.navbar-collapse -->
    </div><!-- /.container -->
  </nav><!-- /.navbar -->
  <div class="container" style="padding-top:70px;">
    <div class="col-xs-12 col-sm-10 col-lg-8 center-block" style="float: none;">
<div class="panel panel-primary">
<div class="panel-heading"><h3 class="panel-title">站点列表</h3></div>
<div class="panel-body">

<?php
if(isset($_GET['kw'])) {
	if($_GET['type']==1)
		$sql=($_GET['method']==1)?" `zid` LIKE '%{$_GET['kw']}%'":" `zid`='{$_GET['kw']}'";
	elseif($_GET['type']==2)
		$sql=($_GET['method']==1)?" `icon` LIKE '%{$_GET['kw']}%'":" `icon`='{$_GET['kw']}'";
        elseif($_GET['type']==3)
		$sql=($_GET['method']==1)?" `name` LIKE '%{$_GET['kw']}%'":" `name`='{$_GET['kw']}'";
	elseif($_GET['type']==4)
		$sql=($_GET['method']==1)?" `desc` LIKE '%{$_GET['kw']}%'":" `desc`='{$_GET['kw']}'";
	elseif($_GET['type']==5)
		$sql=($_GET['method']==1)?" `url` LIKE '%{$_GET['kw']}%'":" `url`='{$_GET['kw']}'";
	$gls=$DB->count("SELECT count(*) from ozdao_list WHERE{$sql}");	
}else{
	$gls=$DB->count("SELECT count(*) from ozdao_list WHERE 1");
	$sql=" 1";
	$con='<p class="text-center">共有 <b>'.$gls.'</b> 个站点';
}

$pagesize=10;
if (!isset($_GET['page'])) {
	$page = 1;
	$pageu = $page - 1;
} else {
	$page = $_GET['page'];
	$pageu = ($page - 1) * $pagesize;
}

echo $con;
?>
      <div class="table-responsive">
        <table class="table table-striped table-bordered">
          <thead><tr><th class="text-center">ZID</th><th class="text-center">图标</th><th class="text-center">名称</th><th class="text-center">描述</th><th class="text-center">地址</th><th class="text-center">操作</th></tr></thead>
          <tbody>
<?php
$rs=$DB->query("SELECT * FROM ozdao_list WHERE{$sql} order by zid desc limit $pageu,$pagesize");
while($res = $DB->fetch($rs))
{
echo '<tr class="text-center"><td>'.$res['zid'].'</td><td><span class="'.$res['icon'].'"></span></td><td>'.$res['name'].'</td><td>'.$res['desc'].'</td><td><a href="'.$res['url'].'" target="_blank">'.$res['url'].'</a></td><td><a href="./edit.php?my=edit&id='.$res['id'].'" class="btn btn-xs btn-info">编辑</a> <a href="./edit.php?my=del&id='.$res['id'].'" class="btn btn-xs btn-danger" onclick="return confirm(\'你确定要删除ZID为“'.$res['zid'].'”的站点吗？\');">删除</a></td></tr>';
}
?>
          </tbody>
        </table>
      </div>
<center>
<?php
echo'<ul class="pagination">';
$s = ceil($gls / $pagesize);
$first=1;
$prev=$page-1;
$next=$page+1;
$last=$s;
if ($page>1)
{
echo '<li><a href="list.php?page='.$first.$link.'">首页</a></li>';
echo '<li><a href="list.php?page='.$prev.$link.'">&laquo;</a></li>';
} else {
echo '<li class="disabled"><a>首页</a></li>';
echo '<li class="disabled"><a>&laquo;</a></li>';
}
for ($i=1;$i<$page;$i++)
echo '<li><a href="list.php?page='.$i.$link.'">'.$i .'</a></li>';
echo '<li class="disabled"><a>'.$page.'</a></li>';
for ($i=$page+1;$i<=$s;$i++)
echo '<li><a href="list.php?page='.$i.$link.'">'.$i .'</a></li>';
echo '';
if ($page<$s)
{
echo '<li><a href="list.php?page='.$next.$link.'">&raquo;</a></li>';
echo '<li><a href="list.php?page='.$last.$link.'">尾页</a></li>';
} else {
echo '<li class="disabled"><a>&raquo;</a></li>';
echo '<li class="disabled"><a>尾页</a></li>';
}
echo'</ul>';
#分页
?>
</center>	 
    </div>
  </div>
    </div>
  </div>